| Home | Libraries | People | FAQ | More

## Function template replace_all

boost::algorithm::replace_all — Replace all algorithm.

## Synopsis

    template<typename SequenceT, typename Range1T, typename Range2T>
      void replace_all(SequenceT & Input, const Range1T & Search,
                       const Range2T & Format);

## Description

Replace all occurrences of the search string in the input with the format string. The input sequence is modified in-place.

Parameters:

`Format` | A substitute string
`Input` | An input string
`Search` | A substring to be searched for

Returns: | A reference to the modified input

| Copyright © 2002-2004 Pavol Droba